import { a6 as t, G as s, F as e, bV as o, Y as a } from "./603b75d9.js";
import n from "react";
import "react-dom";
class h extends n.Component {
  constructor(r) {
    super(r), this.state = {};
  }
  static getDerivedStateFromError(r) {
    return {
      errorMessage: r.toString()
    };
  }
  componentDidCatch(r, c) {
  }
  render() {
    return this.state.errorMessage ? /* @__PURE__ */ t(s, {
      children: [/* @__PURE__ */ e("p", {
        children: this.state.errorMessage
      }), /* @__PURE__ */ e(o, {
        type: "primary",
        onClick: () => this.setState({
          errorMessage: ""
        }),
        children: a("jsonSchemaForm.retry")
      })]
    }) : this.props.children;
  }
}
export {
  h as default
};
